Debian Bug report logs - #636370
libv8: fix armhf (again)

version graph

Package: libv8; Maintainer for libv8 is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 2 Aug 2011 18:39:01 UTC

Severity: important

Tags: patch

Found in version 3.4.14-1

Fixed in version libv8/3.4.14.13-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#636370; Package libv8. (Tue, 02 Aug 2011 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Tue, 02 Aug 2011 18:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: libv8: fix armhf (again)
Date: Tue, 2 Aug 2011 21:38:18 +0300
[Message part 1 (text/plain, inline)]
Package: libv8
Version: 3.4.14-1
Severity: important
Tags: patch

The previous release was still broken on armhf. This new patch
properly fixes the build and adds a new option for the armeabi. It
hasn't been tested on armel, so if you think I made a mistake, feel
free to correct it. The patch is sent as a starting point. So far it
works on armhf, as in allowing me to build chromium-browser, I haven't
actually tested it -it takes forever to build.

Regards

Konstantinos
[libv8_armhf.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 24 Aug 2011 08:06:02 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Wed, 24 Aug 2011 21:36:29 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 21:36:29 GMT) Full text and rfc822 format available.

Message #12 received at 636370-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 636370-close@bugs.debian.org
Subject: Bug#636370: fixed in libv8 3.4.14.13-1
Date: Wed, 24 Aug 2011 21:33:44 +0000
Source: libv8
Source-Version: 3.4.14.13-1

We believe that the bug you reported is fixed in the latest version of
libv8, which is due to be installed in the Debian FTP archive:

libv8-3.4.14.13_3.4.14.13-1_amd64.deb
  to main/libv/libv8/libv8-3.4.14.13_3.4.14.13-1_amd64.deb
libv8-dbg_3.4.14.13-1_amd64.deb
  to main/libv/libv8/libv8-dbg_3.4.14.13-1_amd64.deb
libv8-dev_3.4.14.13-1_amd64.deb
  to main/libv/libv8/libv8-dev_3.4.14.13-1_amd64.deb
libv8_3.4.14.13-1.debian.tar.gz
  to main/libv/libv8/libv8_3.4.14.13-1.debian.tar.gz
libv8_3.4.14.13-1.dsc
  to main/libv/libv8/libv8_3.4.14.13-1.dsc
libv8_3.4.14.13.orig.tar.gz
  to main/libv/libv8/libv8_3.4.14.13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636370@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libv8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 24 Aug 2011 01:21:27 +0200
Source: libv8
Binary: libv8-dev libv8-3.4.14.13 libv8-dbg
Architecture: source amd64
Version: 3.4.14.13-1
Distribution: experimental
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libv8-3.4.14.13 - V8 JavaScript Engine
 libv8-dbg  - Debugging symbols for the V8 JavaScript Engine
 libv8-dev  - Development files for the V8 JavaScript Engine
Closes: 636370
Changes: 
 libv8 (3.4.14.13-1) experimental; urgency=low
 .
   * New upstream release.
 .
   [ Jérémy Lal ]
   * Bump version in debian/control (and debian/control.in)
 .
   [ Jonas Smedegaard ]
   * Add patch 0007 to fix armhf.
     Closes: bug#636370. Thanks to Konstantinos Margaritis.
Checksums-Sha1: 
 9bc11b6011bb8edafe01ccdc2e13e969c5195f1d 2067 libv8_3.4.14.13-1.dsc
 2ce22ab5550b1fbc2b1d52a6274c916ee31edb44 10975753 libv8_3.4.14.13.orig.tar.gz
 0413e4bde2b0a6a4a0fe4ecbda61432a86904a29 22359 libv8_3.4.14.13-1.debian.tar.gz
 623236fd29f0122afc58fcfe9d060f304fc6df26 79890 libv8-dev_3.4.14.13-1_amd64.deb
 51c5664423826c0a5432bb9af61734499b8cc508 1375604 libv8-3.4.14.13_3.4.14.13-1_amd64.deb
 a9bd5925cb1b59ca35a0f0196005e491f40ba2bf 22472666 libv8-dbg_3.4.14.13-1_amd64.deb
Checksums-Sha256: 
 71bacabffb745529492ea0d280ad0b63e0bad2278145759ebc74d665d13f768c 2067 libv8_3.4.14.13-1.dsc
 973b6eb69c2d3516738d18e3b56897b0d8760e63694bfb8ec9f7bafe52e0f6e4 10975753 libv8_3.4.14.13.orig.tar.gz
 e4c5f21b5937273f1b606e84bd5897d386cd31543eefae75cbe8451ed4a15a7b 22359 libv8_3.4.14.13-1.debian.tar.gz
 90cab3bed42300b884b16174897c0542df99c3dc258578cb3b56a6a896ecbf86 79890 libv8-dev_3.4.14.13-1_amd64.deb
 0ef905b90a94bdf3442e9299b8688650863b0d84ab90e05e8bea84751bb55e7d 1375604 libv8-3.4.14.13_3.4.14.13-1_amd64.deb
 294bd855cd9482cada235b9dd8ee013e338f07ecdc4ea4d02ec43a9527c18667 22472666 libv8-dbg_3.4.14.13-1_amd64.deb
Files: 
 8475648d12e1fe3c3f88c8e21a37e985 2067 libs optional libv8_3.4.14.13-1.dsc
 5cd9bb0e4ed83451dcb2f78eec188fef 10975753 libs optional libv8_3.4.14.13.orig.tar.gz
 99dea4fd6d63a6ac82ddfb50042f6356 22359 libs optional libv8_3.4.14.13-1.debian.tar.gz
 81866d1d9ddb81965d76ce85c142d7df 79890 libdevel optional libv8-dev_3.4.14.13-1_amd64.deb
 faee23dbfd86af297bd8d0f82bafb03c 1375604 libs optional libv8-3.4.14.13_3.4.14.13-1_amd64.deb
 6610e73a5f1e523a0399c2d484bc6199 22472666 debug extra libv8-dbg_3.4.14.13-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJOVD2GAAoJECx8MUbBoAEhrosP+QHbWQOaYVP1QP4HplvbiQre
AoFAZT4zYeTNY9vN/G7CRGa+PRPFHXDQHuaS3IA4cH8NqNv7TgYykXhlfTiNW3mc
Tcewn59I9aoAIh1SCtcU1Fb7jYiGxJZK/EFjRUVkWyExSuEbqKJFVqONth1AZJAW
k+3LTWZpeCQ4DfUdvsMiaFT5uINktc1z9V3fXVmvg4jg47l1ESH/nTIatt8YvUIK
3/Uo5eq6eseEoKy48SgTyKexRkGx4qWdTRp9h2d/FuJtQuKe+j5nN4e5XRp//7ju
dNdgmShu1cgsQyZG6dC5HrT4IR6tuMhinC5mIUCPFjP3xppn2xRE4WZ3r2s5vRms
N/DBsC3GcZKZtBjy1VRIbYCkvuDNq7YzE5keQ/5BphuAYqThngN6jgLBgUvw3tCa
WEaVEt1pkFxrIrXx0dW24rDkEcj/bSj4wDSIbx7B8tuxwLEjWDFvFR/MiuTPBiLb
z3gNsZtknRTKsgnSDcGDqHZjhzHwCzkA5HJDeisOrJgmwabld9hNsN/W1cXbimUs
wuVfRPwJ4nMz+8bW5OFL/v7U+6QKilN4iaz5i1UBZX1kGUf9MDuLFehFpNuz0RLz
nL+uzqylD6djUuZg8EQCRg7q8UQvByIKUbL/zg8kgB2NstLzXEbC1PdYBS2/9BaG
1FY4g5tEESnL478eEDZB
=Z93+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Sep 2011 07:37:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:50:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.